Bug 242508 - Anaconda will not allow user to enter logical volume size greater than 2 TB
Anaconda will not allow user to enter logical volume size greater than 2 TB
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Martin Sivák
Depends On:
  Show dependency treegraph
Reported: 2007-06-04 12:13 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-06 03:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-06-04 12:13:00 EDT
Description of problem:

Anaconda will not allow user input for a logical volume of size greater than 2 TB.

Version-Release number of selected component (if applicable):

Version on RHEL 5 installer CD.

How reproducible:

Easy to reproduce every time.

Steps to Reproduce:
1. Start install in text mode on host with physical disk greater than 2 TB (2.5
TB on sda)
2. select default layout for partitioning
3. Anaconda will show a logical volume greater than 2 TB, in my case 2.5 TB
4. Edit logical volume size and reduce to 2.2 TB
5. Anaconda complains that logical volume cannot be greater than 2 TB and will
not allow you to enter a value of 2.2 TB
Actual results:

Anaconda will not accept user entered size for logical volume greater than 2 TB,
but if user goes with default layout anaconda will create a larger LV.

Expected results:

Anaconda should allow the user to enter a logical volume size greater than 2 TB.

Additional info:
Comment 2 Martin Sivák 2007-08-24 10:36:07 EDT
Can you tell me what physical extent size are you using? And also if it is 32b
or 64bit architecture? Thanks

Comment 3 Martin Sivák 2007-09-06 03:19:11 EDT
Will appear in future release

Note You need to log in before you can comment on or make changes to this bug.